Bug 177582 - Fix build error for java/eclipse
Summary: Fix build error for java/eclipse
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-eclipse mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-02 14:20 UTC by Jimmy Kelley
Modified: 2013-04-06 18:30 UTC (History)
0 users

See Also:


Attachments
file.diff (744 bytes, patch)
2013-04-02 14:20 UTC, Jimmy Kelley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Kelley 2013-04-02 14:20:00 UTC
java/eclipse port fails building the native library libgnomeproxy.

Fix: The attached patch fixes the error.

Patch attached with submission follows:
How-To-Repeat: Attempt to build the java/eclipse port.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-02 14:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eclipse

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-04-06 18:21:30 UTC
Author: glewis
Date: Sat Apr  6 17:21:21 2013
New Revision: 315747
URL: http://svnweb.freebsd.org/changeset/ports/315747

Log:
  . Fix build error for java/eclipse with current glib
  
  PR:		177582
  Submitted by:	Jimmy Kelley <ljboiler@gmail.com>
  Approved by:	portmgr (miwi)

Modified:
  head/java/eclipse/files/freebsd-support.patch

Modified: head/java/eclipse/files/freebsd-support.patch
==============================================================================
--- head/java/eclipse/files/freebsd-support.patch	Sat Apr  6 16:51:41 2013	(r315746)
+++ head/java/eclipse/files/freebsd-support.patch	Sat Apr  6 17:21:21 2013	(r315747)
@@ -7480,3 +7480,18 @@ $FreeBSD$
  GLX_PREFIX = swt-glx
  
  SWT_LIB = lib$(SWT_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
+--- build/eclipse-3.7.1-src/plugins/org.eclipse.core.net/natives/unix/gnomeproxy.c.orig	2008-10-17 09:48:23.000000000 -0500
++++ build/eclipse-3.7.1-src/plugins/org.eclipse.core.net/natives/unix/gnomeproxy.c	2013-03-24 21:44:14.000000000 -0500
+@@ -13,11 +13,10 @@
+ #include <jni.h>
+ 
+ #include <glib.h>
+-#include <glib/gslist.h>
+ #include <gconf/gconf-value.h>
+ #include <gconf/gconf-client.h>
+ 
+-#ifdef __linux__
++#ifdef __STDC__
+ #include <string.h>
+ #else
+ #include <strings.h>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Greg Lewis freebsd_committer 2013-04-06 18:29:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!